wai-extra-3.1.13.0: Provides some basic WAI handlers and middleware.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.Wai.Middleware.Local

Description

Only allow local connections.

Synopsis

- local :: Response -> Middleware

# Documentation

local :: Response -> Middleware Source #

This middleware rejects non-local connections with a specific response. It is useful when supporting web-based local applications, which would typically want to reject external connections.